# Enum goog.net.XmlHttp.OptionType

code »

Type: `number`

Type of options that an XmlHttp object can have.

## Values and Descriptions

LOCAL_REQUEST_ERROR
  NOTE(user): In IE if send() errors on a *local* request the readystate is still changed to COMPLETE. We need to ignore it and allow the try/catch around send() to pick up the error.
USE_NULL_FUNCTION
  Whether a goog.nullFunction should be used to clear the onreadystatechange handler instead of null.

Show:PublicProtectedPrivate